/*
 *  elm_sample
 *
 *  Enhydra super-servlet presentation object
 *
 */

package elm_sample.presentation;

// Enhydra SuperServlet imports
import com.lutris.appserver.server.httpPresentation.HttpPresentation;
import com.lutris.appserver.server.httpPresentation.HttpPresentationComms;
import com.lutris.appserver.server.httpPresentation.HttpPresentationException;
import com.lutris.appserver.server.httpPresentation.HttpPresentationOutputStream;
import com.lutris.appserver.server.httpPresentation.HttpPresentationResponse;

// Standard imports
import java.io.IOException;
import java.util.Date;
import java.text.DateFormat;

// ȉ̃pbP[Wǉ
import org.w3c.dom.*;
import org.w3c.dom.html.*;

public class WelcomePresentation implements HttpPresentation {


    public void run(HttpPresentationComms comms)
        throws HttpPresentationException, IOException, Exception {

        HttpPresentationOutputStream out;
        WelcomeHTML welcome;
        String now;
        byte[] buffer;

        welcome = (WelcomeHTML)comms.xmlcFactory.create(WelcomeHTML.class);
        now = DateFormat.getTimeInstance(DateFormat.SHORT).format(new Date());
        welcome.getElementTime().getFirstChild().setNodeValue(now);
        // ܂ł͎ꂽ
        // --------------------------------------------------------------------

        // HTML ^Oc[
        elements dom = new elements();

        // id="test" ̗vf擾
        HTMLElement elem = welcome.getElementTest();

        // nCp[N̒ǉ
        dom.appendHyperLink(elem, "Air-Beat", "http://www.air-beat.com");

        // <br>^O̒ǉ
        elem.appendChild(welcome.createElement("br"));
        elem.appendChild(welcome.createElement("br"));

        // 摜̒ǉ
        HTMLImageElement img = dom.appendImage(elem, "media/Enhydra.gif", "Air-Beat", 0, 0, 8);

        // 摜ɃnCp[Nݒ
        dom.setHyperLink(img, "http://www.air-beat.com");

        // --------------------------------------------------------------------
        // ꂽ
        buffer = welcome.toDocument().getBytes();
        comms.response.setContentType( "text/html" );
        comms.response.setContentLength( buffer.length );
        out = comms.response.getOutputStream();
        out.write(buffer);
        out.flush();
    }

}


