package elm_sample.presentation;

import org.w3c.dom.*;
import org.w3c.dom.html.*;

class elements {
  /**
   * wvf̉̊KwɃnCp[Nǉ
   *
   * @param elem iejvf
   * @param text \
   * @param url N URL
   * @return ǉꂽAJ[^O
   */
  public HTMLAnchorElement appendHyperLink(HTMLElement elem, String text, String url)
      throws Exception {

    // wvfielemj̑hLg擾
    Document doc = elem.getOwnerDocument();

    // AJ[^O𐶐
    //  <A></A>
    HTMLAnchorElement anchor = (HTMLAnchorElement)doc.createElement("a");

    // AJ[^O Href ݒ
    //  <A href="(url)"></A>
    anchor.setHref(url);

    // eLXg𐶐AAJ[^Ỏɒǉ
    //  <A href="(url)">(Text)</A>
    anchor.appendChild(doc.createTextNode(text));

    // wvf̉ɃAJ[^Oǉ
    elem.appendChild(anchor);

    // ǉꂽAJ[^OԂ
    return anchor;
  }

  /**
   * wvf̉̊Kwɉ摜ǉ
   *
   * @param elem iejvf
   * @param image 摜 URL
   * @param alt ֕ialt j
   * @param width 摜̕\
   * @param height 摜̕\
   * @param border 摜̃{[_[
   * @return ǉꂽC[W^O
   */
  public HTMLImageElement appendImage(HTMLElement elem, String image, String alt,
      int width, int height, int border) throws Exception {

    // wvfielemj̑hLg擾
    Document doc = elem.getOwnerDocument();

    // C[W^O𐶐
    //  <IMG>
    HTMLImageElement img = (HTMLImageElement)doc.createElement("img");

    // 摜t@C URL ݒ
    //  <IMG src="(image)">
    img.setSrc(image);

    // փeLXgݒ
    //  <IMG src="(image)" alt="(alt)">
    img.setAlt(alt);

    // 摜̕ݒiȌꍇ͐ݒ肵Ȃj
    //  <IMG src="(image)" alt="(alt)" width="(width)">
    if (width > 0) {
      img.setWidth(Integer.toString(width));
    }

    // 摜̍ݒiȌꍇ͐ݒ肵Ȃj
    //  <IMG src="(image)" alt="(alt)" width="(width)" height="(height)">
    if (height > 0) {
      img.setHeight(Integer.toString(height));
    }

    // 摜̃{[_[ݒ
    img.setBorder(Integer.toString(border));

    // wvf̉ɃC[W^Oǉ
    elem.appendChild(img);

    // ǉꂽC[W^OԂ
    return img;
  }

  /**
   * wvfɃnCp[Nݒ肷
   *
   * @param elem Ώۗvf
   * @param url N URL
   * @return ǉꂽAJ[^O
   */
  public HTMLAnchorElement setHyperLink(HTMLElement elem, String url) throws Exception {

    // wvfielemj̑hLg擾
    Document doc = elem.getOwnerDocument();

    // wvf̐em[h擾
    Node parent = elem.getParentNode();

    // AJ[^O𐶐
    //  <A></A>
    HTMLAnchorElement anchor = (HTMLAnchorElement)doc.createElement("a");

    // AJ[^O Href ݒ
    //  <A href="(url)"></A>
    anchor.setHref(url);

    // wvfƃAJ[^Ouiem[h瑀j
    // ́AuvfiV^OjAuvfiÂ^OjɎw
    parent.replaceChild(anchor, elem);

    // AJ[^ỎɎwvfǉ
    //  <A href="(url)">(elem)</A>
    anchor.appendChild(elem);

    // ǉꂽAJ[^OԂ
    return anchor;
  }

}

